#!/usr/bin/env python
# encoding: utf-8

import os
from setuptools import setup

with open(os.path.join(os.path.dirname(__file__), 'README.rst')) as readme:
    README = readme.read()

# allow setup.py to be run from any path
os.chdir(os.path.normpath(os.path.join(os.path.abspath(__file__), os.pardir)))
VERSION = '0.5.0'

setup(
    name='nameko-cacheback',
    py_modules=['nameko_cacheback'],
    version=VERSION,
    description='Smart caching for nameko using evenlet to refresh cached items asynchronously',
    long_description=README,
    author='gausszh',
    author_email='gauss.zh@gmail.com',
    url='https://github.com/gausszh/nameko-cacheback',
    download_url='https://github.com/gausszh/nameko-cacheback/tarball/' + VERSION,
    keywords=['nameko', 'cacheback', 'cache', 'asynchronously'],
    install_requires=[
        'nameko>=2.5.3',
        'nameko-redis>=1.0.0',
    ],
    classifiers=[
        'Programming Language :: Python',
        'Programming Language :: Python :: 2.7',
    ],
)
